Package org.python.core

# Class IdImpl

java.lang.Object
org.python.core.IdImpl

public class IdImpl extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IdImpl.WeakIdentityMap`

## Constructor Summary

Constructors
Constructor
Description
`IdImpl()`

## Method Summary

Modifier and Type
Method
Description
`long`
`id(PyObject o)`
`String`
`idstr(PyObject o)`
`long`
`java_obj_id(Object o)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdImpl

public IdImpl()

## Method Details

### id

public long id(PyObject o)

### idstr

public String idstr(PyObject o)

### java_obj_id

public long java_obj_id(Object o)